. "$PSScriptRoot/common.ps1"

ensureAdmin

# Delete the root folder, desktop shortcuts, and the scheduled task if it exists
# Ignore all missing or not found errors
Write-Output "Attempting to uninstall Breeze (it is safe to ignore missing or not found errors during the uninstaller)..."
Write-Output "Attempting to delete $rootPath..."
Get-ChildItem $rootPath -Recurse |
    Sort-Object -Property FullName -Descending |
    Where-Object { $_.FullName -notLike "$rootPath\config*" } |
    ForEach-Object {
        Write-Output "Deleting $($_.FullName)"
        Remove-Item $_.FullName -Recurse -Force
    }

Write-Output "Attempting to delete desktop icons..."
Remove-Item -Path $desktopShortcutPath -Force -ErrorAction SilentlyContinue
Remove-Item -Path $stopBreezeShortcutPath -Force -ErrorAction SilentlyContinue
Remove-Item -Path $startBreezeShortcutPath -Force -ErrorAction SilentlyContinue

Write-Output "Attempting to delete watchdog scheduled tasks..."
schtasks /Delete /TN "$watchdogTaskName" /F
schtasks /Delete /TN "$rebootTaskName" /F
schtasks /Delete /TN "$explorerWatchdogTaskName" /F

Write-Output "Done uninstalling Breeze 2.x..."
